<?php

if (!defined('sugarEntry') || !sugarEntry)
	die('Not A Valid Entry Point');

global $sugar_version, $sugar_config, $current_user, $app_strings, $mod_strings, $current_user, $app_list_strings;

require_once ('include/time.php');
require_once('include/json_config.php');

$json_config = new json_config();
$focus = new EcmSyntheticAccount();

if (isset($_REQUEST['record']))
	$focus->retrieve($_REQUEST['record']);
require_once('include/MVC/View/SugarView.php');

if (file_exists('modules/EcmSyntheticAccounts/view/DetailView/view.detail.my.php')) {
	require_once('modules/EcmSyntheticAccounts/view/DetailView/view.detail.my.php');
	$detail = new ViewDetailMy();
	$detail->ss = new Sugar_Smarty();
	$detail->module = 'EcmSyntheticAccounts';
} else {
	require_once('include/MVC/View/views/view.detail.php');
	$detail = new ViewDetail();
	$detail->ss = new Sugar_Smarty();
	$detail->module = 'EcmSyntheticAccounts';
}

global $app_list_strings;

$ul = $focus->showStructureanAlyticalList();
$detail->ss->assign('STRUCTUREANALYTICALPART_LIST', $ul);

$aal = $focus->getAnaliticalList();
$detail->ss->assign('ANALYTICALACCOUNTS_LIST', $aal);

$detail->bean = $focus;
$detail->preDisplay();
unset($detail->defs['templateMeta']['form']['buttons'][2]);
echo $detail->display();
?>